Apache JMeter

## org.apache.jmeter.report.gui.action
Class ReportRemove

    java.lang.Object
      org.apache.jmeter.report.gui.action.ReportRemove

All Implemented Interfaces:
  Command

    public class ReportRemove

extends Object
implements Command

Constructor Summary
`ReportRemove()` Constructor for the Remove object

Method Summary
`void` `doAction(ActionEvent e)`
`Set<String>` `getActionNames()` Gets the ActionNames attribute of the Remove object.
`static void` `removeNode(ReportTreeNode node)`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### ReportRemove

    public ReportRemove()

  Constructor for the Remove object

Method Detail

### getActionNames

    public Set<String> getActionNames()

  Gets the ActionNames attribute of the Remove object.

  Specified by:
    `getActionNames` in interface `Command`
  Returns:
    the ActionNames value

### doAction

    public void doAction(ActionEvent e)

  Specified by:
    `doAction` in interface `Command`

### removeNode

    public static void removeNode(ReportTreeNode node)

Apache JMeter

Copyright © 1998-2011 Apache Software Foundation. All Rights Reserved.